<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="jakarta.faces.html"
	xmlns:f="jakarta.faces.core"
	xmlns:pt="jakarta.faces.passthrough"
	xmlns:jsf="jakarta.faces"
	xmlns:ui="jakarta.faces.facelets"
	xmlns:p="http://primefaces.org/ui">

<h:head></h:head> 
<h:body>
	<div class="card crud-demo">
		<h:form id="form">
			<p:growl id="messages" showDetail="true" />

			<p:toolbar>
				<p:toolbarGroup>
					<p:commandButton
						value="Cadastrar"
						icon="pi pi-plus"
						actionListener="#{personView.openNew}"
						update=":dialogs:manage-product-content"
						oncomplete="PF('manageProductDialog').show()"
						styleClass="ui-button-success"
						style="margin-right: .5rem">
						<p:resetInput target=":dialogs:manage-product-content" />
					</p:commandButton>

					<p:commandButton
						id="delete-products-button"
						value="#{crudView.deleteButtonMessage}"
						icon="pi pi-trash"
						actionListener="#{crudView.deleteSelectedProducts}"
						styleClass="ui-button-danger"
						disabled="#{!crudView.hasSelectedProducts()}"
						update="@this">
						
						<p:confirm
							header="Confirmação"
							message="Remover pessoas selecionadas?"
							icon="pi pi-exclamation-triangle"/>
					</p:commandButton>
				</p:toolbarGroup>
			</p:toolbar>

			<p:dataTable
				id="dt-products"
				widgetVar="dtProducts"
				var="product"
				value="#{crudView.products}"
				reflow="true"
				styleClass="products-table"
				selection="#{crudView.selectedProducts}"
				rowKey="#{product.id}"
				paginator="true"
				rows="10"
				rowSelectMode="add"
				paginatorPosition="bottom">

				<f:facet name="header">
					<div class="products-table-header">
						<span style="font-weight: bold">Lista de Pessoas</span>
					</div>
				</f:facet>

				<p:ajax event="rowSelect" update=":form:delete-products-button" />
				<p:ajax event="rowUnselect" update=":form:delete-products-button" />
				<p:ajax event="rowSelectCheckbox" update=":form:delete-products-button" />
				<p:ajax event="rowUnselectCheckbox" update=":form:delete-products-button" />
				<p:ajax event="toggleSelect" update=":form:delete-products-button" />

				<p:column selectionMode="multiple" exportable="false"></p:column>

				<p:column
					headerText="Nome"
					sortBy="#{product.code}">
					<h:outputText value="#{product.code}" />
				</p:column>

				<p:column
					headerText="Name"
					sortBy="#{product.name}">
					<h:outputText value="#{product.name}" />
				</p:column>

				<p:column
					headerText="Price"
					sortBy="#{product.price}">
					<h:outputText
						value="#{product.price}"
						style="font-weight: 700">
						<f:convertNumber
							currencySymbol="$"
							type="currency" />
					</h:outputText>
				</p:column>

				<p:column
					headerText="Category"
					sortBy="#{product.category}">
					<h:outputText value="#{product.category}" />
				</p:column>

				<p:column
					headerText="Reviews"
					sortBy="#{product.rating}">
					<p:rating value="#{product.rating}" readonly="true" />
				</p:column>

				<p:column exportable="false">
					<p:commandButton
						icon="pi pi-pencil"
						update=":dialogs:manage-product-content"
						oncomplete="PF('manageProductDialog').show()"
						styleClass="edit-button rounded-button ui-button-success"
						process="@this">
						<f:setPropertyActionListener
							value="#{product}"
							target="#{crudView.selectedProduct}" />
						<p:resetInput target=":dialogs:manage-product-content" />
					</p:commandButton>

					<p:commandButton
						class="ui-button-warning rounded-button"
						icon="pi pi-trash"
						process="@this"
						oncomplete="PF('deleteProductDialog').show()">
						<f:setPropertyActionListener
							value="#{product}"
							target="#{crudView.selectedProduct}" />
					</p:commandButton>
				</p:column>

			</p:dataTable>
		</h:form>

		<h:form id="dialogs">
			<p:dialog
				header="Detalhes do Produto"
				showEffect="fade"
				modal="true"
				widgetVar="manageProductDialog"
				responsive="true">
				<p:outputPanel
					id="manage-product-content"
					class="ui-fluid">
					<p:outputPanel
						rendered="#{not empty crudView.selectedProduct}">
						
						<div class="field">
							<p:outputLabel
								for="name">
								Name
							</p:outputLabel>

							<p:inputText
								id="name"
								value="#{crudView.selectedProduct.name}"
								required="true" />
						</div>

						<div class="field">
							<p:outputLabel
								for="description">
								Description
							</p:outputLabel>

							<p:inputTextarea
								id="description"
								value="#{crudView.selectedProduct.description}"/>
						</div>

						<div class="field">
							<p:outputLabel
								for="category">
								Category
							</p:outputLabel>

							<p:selectOneRadio
								id="category"
								value="#{crudView.selectedProduct.category}"
								layout="responsive"
								columns="2">
								<f:selectItem
									itemLabel="Accessories"
									itemValue="Accessories" />

								<f:selectItem
									itemLabel="Clothing"
									itemValue="Clothing" />

								<f:selectItem
									itemLabel="Electronics"
									itemValue="Electronics" />

								<f:selectItem
									itemLabel="Fitness"
									itemValue="Fitness" />
							</p:selectOneRadio>
						</div>

						<div class="formgrid grid">
							<div class="field col">
								<p:outputLabel
									for="price">
									Price
								</p:outputLabel>
								<p:inputNumber
									id="price"
									value="#{crudView.selectedProduct.price}"
									symbol=" USD"
									symbolPosition="s"
									decimalSeparator="."
									thousandSeparator="," />
							</div>

							<div class="field col">
								<p:outputLabel
									for="quantity">
									Quantity
								</p:outputLabel>
								<p:spinner
									id="quantity"
									min="0"
									value="#{crudView.selectedProduct.quantity}" />
							</div>
						</div>
					</p:outputPanel>
				</p:outputPanel>

				<f:facet name="footer">
					<p:commandButton
						value="Salvar"
						icon="pi pi-check"
						actionListener="#{crudView.saveProduct}"
						update="manage-product-content"
						process="manage-product-content @this" />

					<p:commandButton
						value="Cancelar"
						icon="pi pi-times"
						onclick="PF('manageProductDialog').hide()"
						class="ui-button-secondary"
						type="button" />
				</f:facet>
			</p:dialog>

			<p:confirmDialog
				widgetVar="deleteProductDialog"
				showEffect="fade"
				width="300"
				message="Deletar pessoa?"
				header="Confirmar"
				severity="warn">

				<p:commandButton
					value="Sim"
					icon="pi pi-check"
					actionListener="#{crudView.deleteProduct}"
					process="@this"
					update=":form:delete-products-button"
					oncomplete="PF('deleteProductDialog').hide()" />
				
				<p:commandButton
					value="Não"
					type="button"
					styleClass="ui-button-secondary"
					icon="pi pi-times"
					onclick="PF('deleteProductDialog').hide()" />
			</p:confirmDialog>

			<p:confirmDialog
				global="true"
				showEffect="fade"
				width="300">
				
				<p:commandButton
					value="Sim"
					type="button"
					styleClass="ui-confirmdialog-yes"
					icon="pi pi-check" />
				
				<p:commandButton
					value="Não"
					type="button"
					styleClass="ui-confirmdialog-no ui-button-secondary"
					icon="pi pi-times" />
			</p:confirmDialog>

		</h:form>
	</div>
</h:body> 
</html>
